This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 800559 - (CVE-2012-1108) CVE-2012-1108 taglib: ogg file with vendorLength field modification causes crash
CVE-2012-1108 taglib: ogg file with vendorLength field modification causes crash
Status: CLOSED CURRENTRELEASE
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20120304,repor...
: Security
Depends On: 800564 800566
Blocks: 800562
  Show dependency treegraph
 
Reported: 2012-03-06 12:52 EST by Vincent Danen
Modified: 2013-10-23 17:16 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-02 10:26:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Vincent Danen 2012-03-06 12:52:17 EST
It was reported [1] that, when parsing an Ogg file, a specially crafted Ogg file with control over the "vendorLength" field could cause a string allocation with that size.  Control over the "commentFields", which is the number of times that "commentLength" is read, would allocate a string of size "commandLength", which could cause an application linked to taglib to crash. This has been fixed in upstream git [2],[3].

[1] http://mail.kde.org/pipermail/taglib-devel/2012-March/002186.html
[2] https://github.com/taglib/taglib/commit/ab8a0ee8937256311e649a88e8ddd7c7f870ad59
[3] https://github.com/taglib/taglib/commit/b3646a07348ffa276ea41a9dae03ddc63ea6c532
Comment 1 Vincent Danen 2012-03-06 12:59:38 EST
Created taglib tracking bugs for this issue

Affects: fedora-all [bug 800564]
Comment 2 Vincent Danen 2012-03-06 13:00:39 EST
Created taglib tracking bugs for this issue

Affects: epel-5 [bug 800566]
Comment 3 Fedora Update System 2012-04-04 23:03:19 EDT
taglib-1.6.1-1.el5.2 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 4 Fedora Update System 2012-04-06 17:29:08 EDT
taglib-1.7.1-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2012-04-06 17:29:41 EDT
taglib-1.7.1-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2012-04-11 23:23:59 EDT
taglib-1.7.1-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Stefan Cornelius 2012-05-02 10:26:33 EDT
Statement:

taglib is only used in client applications. We do not consider a user-assisted crash of a client application such as k3b or Totem to be a security issue.

Note You need to log in before you can comment on or make changes to this bug.